Subject: Re: bash and shell script problem
From: [email-masked] (Kons Bjorn Persson)

11 Jun 1998 17:33:44 -0700
Message-ID: <[email-masked]>
To: [email-masked]

> From [email-masked] Thu Jun 11 10:10:07 1998
> From: [email-masked]
> X-OpenMail-Hops: 2
> Date: Thu, 11 Jun 1998 10:11:12 +0200
> Subject: bash and shell script problem
> TO: [email-masked]
> Encoding: 18 text
> Content-Length: 428
> 
> > Hi!
> > 
> > I have gnu-win32 b19.1
> > 
> > I can't get shell scripts to run.
> > In bash when I when I try to run shell-scripts I get:
> > 
> > bash.exe: shell-script-name: No such file or directory
> > 
> > 
> > When I run exe-files that are in the same directory as the script it
> works fine.
> 
> Do you have current directory in Your PATH variable?
> Have You tried typing ./shell-script-name
> Does the first line contain #!/bin/sh
> 
>   Kjeld Flarup
> 

You are probably right that I have some problem with my PATH variable.
I set my path variable in my AUTOEXEC.BAT  file using dos-syntax and 
I set the same path in my .bashrc file using bash's syntax. 

I do have "." in my path but this is not working. I have to type 
../program to run it. However
bash finds programs in the other directories of my path!?

I have tried with the first line containing both
#!/bin/sh  and
#!/bin/bash

and my /bin directory contains bash.exe and a copy of bash.exe named sh.exe.

Thanks,

Bjorn
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".